Duplicate a collection

View as Markdown

Creates a duplicate of the given collection in another workspace.

Use the GET /collection-duplicate-tasks/{taskId} endpoint to get the duplication task’s current status.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

collectionIdstringRequiredformat: "uid"
The collection's unique ID.

Request

This endpoint expects an object.
workspacestringRequired
The workspace ID in which to duplicate the collection.
suffixstringOptional
An optional suffix to append to the duplicated collection's name.

Response

Successful Response
taskobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error